Page MenuHomePhabricator

MediaWiki DB tables with columns which references other columns but have different type (tracking)
Open, LowPublic

Description

Merged, pending to be applied: T89737

  • bot_passwords.bp_user (not unsigned)
  • change_tag.ct_log_id (not unsigned)
  • change_tag.ct_rev_id (not unsigned)
  • page_restrictions.pr_user (not unsigned)
  • tag_summary.ts_log_id (not unsigned) - table removed
  • tag_summary.ts_rev_id (not unsigned) - table removed
  • user_newtalk.user_id (not unsigned)
  • user_properties.up_user (not unsigned)

Event Timeline

jcrespo created this task.Feb 5 2017, 7:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 5 2017, 7:01 PM
jcrespo updated the task description. (Show Details)Feb 5 2017, 7:05 PM
Paladox added a subscriber: Paladox.Feb 5 2017, 7:52 PM
Reedy claimed this task.Apr 26 2017, 2:49 PM
Reedy triaged this task as Low priority.
Reedy added a project: User-Reedy.

I'm jfdi this when I've got a better internet connection

Reedy moved this task from Unsorted to Change on the Schema-change board.Apr 26 2017, 2:58 PM
Reedy updated the task description. (Show Details)Apr 26 2017, 3:59 PM
Reedy updated the task description. (Show Details)

Change 350437 had a related patch set uploaded (by Reedy):
[mediawiki/core@master] [WIP] Making numerous fields unsigned to match their target referenced column

https://gerrit.wikimedia.org/r/350437

FWIW, that patch isn't WIP anymore

@Reedy - check Krinkle comments on patch, that is a fair question.

jcrespo updated the task description. (Show Details)Aug 4 2017, 7:27 AM
Reedy added a comment.Aug 4 2017, 11:45 AM

@Reedy - check Krinkle comments on patch, that is a fair question.

Apart from we don't really care about the others other than mysql/sqlite...

None of sqlite, pgsql or oracle have an unsigned type. The first has nothing at all, the second require constraints/domains to make it work

Changing this in mysql on referencing tables adds no more difference than is already there; the root user_id is not unsigned on any of the other DBMS

@Reedy - check Krinkle comments on patch, that is a fair question.

Ready now, I've +1'ed it. Waiting for your final approval to merge it (or feel free to +2 yourself).

Reedy added a comment.Aug 5 2017, 12:27 AM

Cheers! :)

Krinkle renamed this task from Mediawiki tables with columns which references other columns but have different type (tracking) to MediaWiki DB tables with columns which references other columns but have different type (tracking) .Aug 5 2017, 2:01 AM

Change 350437 merged by jenkins-bot:
[mediawiki/core@master] Making numerous fields unsigned to match their target referenced column

https://gerrit.wikimedia.org/r/350437

Reedy updated the task description. (Show Details)
Reedy updated the task description. (Show Details)

tag_summary table is dropped, you can drop those from the list.

Krinkle updated the task description. (Show Details)Jan 21 2019, 9:53 PM
Krinkle removed a subscriber: Krinkle.

@Marostegui I think with T89737 this is fully resolved now? Or is there something pending on Mediawiki CC @Reedy

From the databases point of view it is all done (I just did a quick check to confirm)

Aklapper removed Reedy as the assignee of this task.Fri, Jun 19, 4:28 PM
Aklapper added a subscriber: Reedy.

This task has been assigned to the same task owner for more than two years. Resetting task assignee due to inactivity, to decrease task cookie-licking and to get a slightly more realistic overview of plans. Please feel free to assign this task to yourself again if you still realistically work or plan to work on this task - it would be welcome!

For tips how to manage individual work in Phabricator (noisy notifications, lists of task, etc.), see https://phabricator.wikimedia.org/T228575#6237124 for available options.
(For the records, two emails were sent to assignee addresses before resetting assignees. See T228575 for more info and for potential feedback. Thanks!)